# Intro

A combination of Another custom sigil mod, Extra Sigils and AnthonysSigils. Currently at 175+ new sigils.

You can find all the sigils in this mod and their descriptions here:<br>
https://github.com/Memez4Life7/AllTheSigils/wiki

## Installation
This is the recommended way to install this mod.

- Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://timberborn.thunderstore.io/package/ebkr/r2modman/)
- Click on the "Install with Mod Manager" button at the top of this page
- Start the game via the mod manager

- IF YOU MANUALLY INSTALL THIS MOD, TAKE THE CONTENTS OUT OF THE PLUGINS FOLDER! Some sigils look for their artwork in specific folders in the directory that the .dll is in, so if that specific directory doesn't exist the mod wil break.

## Changelog
<details>
<summary>Click here to show the changelog.</summary>
<br>

v3.0.2
- fixed an issue where old sigils did not work on modded cards when using "ATS" as the guid

v3.0.1
- fixed a spelling mistake in one of the sigils which caused the whole mod to break

v3.0.0
Massive overhaul
- updated a bunch of code to use the newer API functions
- combined all dlls into one
- made file names and code consistent
- made it so all sigils can now also be added to cards by using "ATS" as the guid instead of the old guid, any future sigils will only be able to be added by using this new guid
- fixed the sigils: Puppet's gift, Asleep, Short, Launcher, Bond, Imbuing, Take-Off, Haste, Enforcer, Hasteful, Sluggish, Stampede, Trample, Sticky, Deadly Waters and Strong Wind
- updated the icons for the sigils: Left scratch, Right scratch and Double scratch
- added placeholder act 2 art to any old sigils without act 2 art, so that all sigils can now be used in starter decks
- made all sigil descriptions compatible with act 2's naming system
- fixed alot of grammatical and spelling errors in descriptions of sigils
- replaced the old sigil documentation with a fancy new wiki that has images to show the sigil art and cost
- added 22 new sigils! they are called: Mount, Parasite, Hermit, Draw Energy, Draw Mox, Draw Cost, Hyped, Resourceful, Hoodini, Inaccurate, Drunk, Underdog, Homing, Lullaby, Nurse, Medical Aid, Sympathetic, Shielded, Frightened, Terrified, Alternating Scratch and Choreography

v2.5.6
Lily's Sigils changes:
- fixed a typo on the thunderstore page
- re-added some missing artwork

v2.5.5
Lily's Sigils changes:
- changed all instances of Sylvie on the thunderstore page to Lily
- made it so bone giving sigils can't be used by leshy anymore
- changed the configurable sigils power levels to 5
- added act 1 art for Puppet's gift
- fixed Tribe Attack, Tribe Health and Bond not working on the opponent's side
- corrected a typo in the description of the bait sigil in both the rulebook and on the thunderstore page
- fixed bond softlocking the game when placed at the edge of the board

v2.5.3
Void's Extra Sigils changes:
- removed deadly waters for now

v2.5.2
General:
- API version bump

Void's Extra Sigils changes:
- Maybe bugfixes with a card that kills a card that has deadly waters while it is face down
- Haste and Stampede now only work outside of combat (for now) to prevent weird interactions of it being played during leshy's combat

v2.5.0
Void's Extra Sigils changes:
- Removed Appatizing target
- Changed icon for Nutritious, and added an a2 icon
- Added a2 icon for ambush
- New Sigil: Blinding Strike

Sigil manager changes:
- Changed log messages to debug instead of messages. 

v2.4.2
Void's Extra Sigils changes:
- Fixed Draw bone in act 2, Schooling giving everyone the buff, changed draw ice to give a stoat on cards that have no ice-cube parameter.

v2.4.1
Void's Extra Sigils changes:
- Fixed bug with toothpuller, high tide, low tide, and turbulent waters.

v2.4.0
Void's Extra Sigils changes:
- New Sigils: Draw Strafe, Hasteful, Sluggish, Powerful Possessor
- Enlarge numbers on the dying sigil art
- Code improvements for Haste and Stampede

v2.3.2
Void's Extra Sigils changes:
- Fixed bug with take off sigils
- Adjusted the timing of Turbulent Waters
- New act 2 icons for Blood Growth and Giant
- Made the arrows of high tide and low tide thicker

Sigil Manager
- Readded to the mod
- Made "hide un-used sigils" on by default, which can be turned off in the configs.
- Lead, Dive, and Take-Off (bones) added to default list of to not hide. This is due to them being fun to find in shops.

v2.3.0
Void's Extra Sigils changes: the waterborne support update
- New Sigils: High Tide, Low Tide, Schooling, Turbulent Waters, Dive (energy), Dive (bones), Take-Off (energy), Take-Off (bones)
- Fixed Deadly Waters not showing up in the rulebook
- Updated Deadly waters to not affect those with airborne
- Updated submerge ambush to not affect those with airborne
- Restructured some of the change logs so they take up less characters in the readme.

v2.2.0
Void's Extra Sigils changes:
- New Sigils: Deadly Waters
- Updated electric to have a lightning bolt for better readability 

v2.1.0
Void's  Extra Sigils changes:
- bugfixes
- Toxins can no longer affect cards that are made of stone
- Renamed Dying to Injured
- Readded Dying as a different sigil: now a timed death (2 turns by default)
- New Sigils: Gripper, Lead (Bones), Lead (Energy)

v2.0.1
- Fixed typo done by Lily in twobonesummon and threebonesummon

v2.0.0
- Ported the whole mod to API 2.0

Lily's Sigils changes:
- Fixed Wild Hunger not working with ice cube and other things that would change on the board while it was moving
- Changed the name of Marginally Better Sacrifice to Noble Sacrifice

Void's Extra Sigils changes:
- I forgot what changes I did. I apologizes.

Sigil Manager
- Temporarily removed to hasten the release for KCM and users.

--- Check the old_Changelog included for older changes ---
</details>

## Credits
Void Slime's credits:
JamesGames, GeneralSpritz, Allie BONES, Cyantist, xXxStoner420BongMasterxXx, Lily's, Blind Eri, balrogBean, Yisus, Dragon, with more below


Lily's credits:
[credits document](https://docs.google.com/document/d/1e2LQD6_JKarEfCn7G3ujQlQDEO2motQSgWDm7Oy6Lpk/edit?usp=sharing)

(Thank you all so much! This would not have been possible without you all)